
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>排序系列 之 简单选择排序及其改进算法 —— Java实现 / 憋错料</title>

    <meta name="description" content="排序系列 之 简单选择排序及其改进算法 —— Java实现 简单选择排序算法: 基本思想: 在待排序数据中,选出最小的一个数与第一个位置的数交换:然后在剩下的数中选出最小的数与第二个数交换:依次类推,直至循环到只剩下两个数进行比较为止. 实例: 0.初始状态 3,1,5,7,2,4,9,6(共8个数) 1.n=8 个数中,最小数值为1,与第一个数交换:1,3,5,7,2,4,9,6 2.剩下 n-1=7 个数中,最小数值为2,与第二个数交换:1,2,5,7,3,4,9,6 3.剩下 n-2=6 个数中,最小数值为3,与第三个数交换:1,2,3,7,5,4">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">排序系列 之 简单选择排序及其改进算法 —— Java实现</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p><strong>　</strong><strong>简单选择排序算法：</strong><strong><br /></strong></p>
<p><strong>　基本思想：</strong></p>
<p>　　在待排序数据中，选出最小的一个数与第一个位置的数交换；然后在剩下的数中选出最小的数与第二个数交换；依次类推，直至循环到只剩下两个数进行比较为止。</p>
<p><strong>　实例：</strong></p>
<p>　　0.初始状态 3，1，5，7，2，4，9，6（共8个数）</p>
<p>　　1.n=8 个数中，最小数值为1，与第一个数交换：1，3，5，7，2，4，9，6</p>
<p>　　2.剩下 n-1=7 个数中，最小数值为2，与第二个数交换：1，2，5，7，3，4，9，6</p>
<p>　　3.剩下 n-2=6 个数中，最小数值为3，与第三个数交换：1，2，3，7，5，4，9，6</p>
<p>　　4.剩下 n-3=5 个数中，最小数值为4，与第四个数交换：1，2，3，4，5，7，9，6</p>
<p>　　5.剩下 n-4=4 个数中，最小数值为5，与第五个数交换：1，2，3，4，5，7，9，6</p>
<p>　　6.剩下 n-5=3 个数中，最小数值为6，与第五个数交换：1，2，3，4，5，6，9，7</p>
<p>　　7.剩下 n-6=2 个数中，最小数值为7，与第五个数交换：1，2，3，4，5，6，7，9</p>
<hr>
<br />　<strong>简单选择排序算法的改进：</strong></p>
<p>　<strong>基本思想：</strong></p>
<p>　　简单选择排序算法，每次只选择一个数据放在正确的位置，为提高效率，可每次选择两个数据，放在正确的位置，及每次选择最大值和最小值。</p>
<p><strong>　实例：</strong></p>
<p>　　0.初始状态 3，1，5，7，2，4，9，6（共8个数）</p>
<p>　　1.n=8 个数中，最小数值为1，与第一个数交换；最大数值为9，与最后一个数交换：1，3，5，7，2，4，6，9</p>
<p>　　2.剩下n-2=6个数中，最小数值为2，与第二个数交换；最大数值为7，与倒数第二个数交换：1，2，5，6，3，4，7，9</p>
<p>　　3.剩下n-4=4个数中，最小数值为3，与第三个数交换；最大数值为6，与倒数第三个数交换：1，2，3，4，5，6，7，9</p>
<p>　　4.剩下n-6=2个数中，最小数值为4，与第四个数交换；最大数值为5，与倒数第四个数交换：1，2，3，4，5，6，7，9</p>
<hr>
<br /><strong>　Java实现：</strong></p>
<pre>/**
 * 选择排序 及其 改进算法 的实现
 * 稳定算法
 * @author 那一季的银杏叶
 *
 */
public class SelectSort {

    public static void main(String[] args) {
        // TODO Auto-generated method stub
        new SelectSort().run();
    }
    public void run(){
        int a[] = {3,1,5,7,2,4,9,6};
        /**
         * 选择排序
         */
        selectSort(a);
        /**
         * 选择排序的改进--二元选择排序
         */
        selectTwoSort(a);
    }
    /**
     * 选择排序    每次选出最小的元素
     * @param a
     */
    private void selectSort(int[] a) {
        // TODO Auto-generated method stub
        System.out.println("———————————————————选择排序算法———————————————————");
        int n=a.length;
        for(int i=0;i&lt;n;i++){
            int k=i;
            for(int j=i;j&lt;n;j++){
                if(a[j] &lt; a[k]){
                    k=j;
                }
            }
            if(k != i){
                int temp = a[i];
                a[i]=a[k];
                a[k] = temp;
            }
            print(a,n,i);
        }
        printResult(a,n);
    }
    /**
     * 选择排序的 改进算法
     * 每次选出最大的数和最小的数
     * @param a
     */
    private void selectTwoSort(int[] a){
        System.out.println("———————————————选择排序算法——的改进—————————————————");
        int n=a.length;
        int i,j,max,min,temp;
        for(i=0;i&lt;n/2;i++){
            max=i;
            min=i;
            for(j = i+1;j&lt;n-i;j++){
                if(a[j]&lt;a[min]){
                    min=j;
                }
                if(a[j]&gt;a[max]){
                    max=j;
                }
            }
            temp = a[i];
            a[i] = a[min];
            a[min] = temp;

            temp = a[n-i-1];
            a[n-i-1] = a[max];
            a[max] = temp;
            print(a,n,i);
        }
        printResult(a,n);
    }
    /**
     * 打印排序的最终结果
     * @param a
     * @param n
     */
    private void printResult(int[] a, int n){
        System.out.print("最终排序结果：");
        for(int j=0;j&lt;n;j++){
            System.out.print(" "+a[j]);
        }
        System.out.println();
    }
    /**
     * 打印排序的每次循环的结果
     * @param a
     * @param n
     * @param i
     */
    private void print(int[] a, int n, int i) {
        // TODO Auto-generated method stub
        System.out.print("第"+i+"次：");
        for(int j=0;j&lt;n;j++){
            System.out.print(" "+a[j]);
        }
        System.out.println();
    }
}</pre>
<p><strong>运行结果展示：</strong></p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNS5jbmJsb2dzLmNvbS9ibG9nLzYyOTc1Ny8yMDE3MDEvNjI5NzU3LTIwMTcwMTAzMTAyMzU2MDAzLTY2NTI3NjQ4My5wbmc=.jpg"></p>

<p>　　（本文仅供学习交流，如有更好的思路，欢迎留下意见供大家探讨学习~）</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-11 22:05:54 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/code/" title="code">code</a>, <a href="https://www.biecuoliao.com/tag/%e6%9c%80%e5%a4%a7/" title="最大">最大</a>, <a href="https://www.biecuoliao.com/tag/out/" title="out">out</a>, <a href="https://www.biecuoliao.com/tag/%e6%95%b0%e5%80%bc/" title="数值">数值</a>, <a href="https://www.biecuoliao.com/tag/cts/" title="cts">cts</a>, <a href="https://www.biecuoliao.com/tag/%e5%a4%a7%e6%95%b0/" title="大数">大数</a>, <a href="https://www.biecuoliao.com/tag/%e9%80%89%e6%8b%a9%e6%8e%92%e5%ba%8f/" title="选择排序">选择排序</a>, <a href="https://www.biecuoliao.com/tag/%e6%8f%90%e9%ab%98%e6%95%88%e7%8e%87/" title="提高效率">提高效率</a>, <a href="https://www.biecuoliao.com/tag/%e6%9c%80%e5%b0%8f%e6%95%b0/" title="最小数">最小数</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>排序系列 之 简单选择排序及其改进算法 —— Java实现的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4APaE53.html" rel="bookmark">14&period; 蛤蟆的数据结构进阶十四排序实现之简单选择排序</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				14. 蛤蟆的数据结构进阶十四排序实现之简单选择排序 本篇名言:&quot;即是我们是一支蜡烛也应该 &quot; 蜡烛成灰泪始干 &quot; 即使我们只是一根火柴也要在关键时刻有一次闪耀即使我们死后尸骨都腐烂了解也要变成磷火在荒野中燃烧. -- 艾青&quot; 继续来看什么是简单选择排序. 欢迎转载,转载请标明出处: 1.  简单选择排序 设所排序序列的记录个数为n.i取1,2,-,n-1,从所有n-i+1个记录(Ri,Ri+1,-,Rn)中找出排序码最小的记录,与第i个记录交换.执行n-1趟后就完			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0bKRmp3.html" rel="bookmark">排序 之 冒泡排序 简单选择排序 直接插入排序 希尔排序</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				排序的基本概念 假设含有n个记录的序列为{r1,r2,--,rn},其相应的关键字分别为{k1,k2,--,kn},需确定1,2,--,n的一种排序p1,p2,--,pn,使其相应的关键字满足kp1≤kp2≤--≤kpn非递减(或非递增)关系,即使得序列称为一个按关键字有序的序列{rp1,rp2,--,rpn},这样的操作就称为排序. 排序的稳定性 假设ki=kj(1≤i≤n,1≤j≤n,i≠j),且在排序前的序列中ri领先于rj(即i&lt;j).如果排序后ri仍领先于rj,则称所用的排序方法是稳定			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0KvqOLM.html" rel="bookmark">选择排序&equals;》（简单选择排序）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				/** * 选择排序(简单选择排序) * @author Cinn * */public class selectSort { /**     * @param args     */    public static void main(String[] args) {        // TODO Auto-generated method stub        int[] array= {48,58,50,98,69,51,27,99,100};        selectsort(ar			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4QA2Kl4.html" rel="bookmark">经典（java版）排序算法的分析及实现之三简单选择排序</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				选择排序-简单选择排序 选择排序的基本思想是:每一趟从待排序的记录中选出关键字最小的记录,顺序放在已排好序的子系列的最后,直到全部记录排序完毕.简单选择排序也叫直接选择排序. 基本算法: 将给定待排序序列A[0....n],第一次从A[0]~A[n-1]中选取最小值,与A[0]交换,第二次从A[1]~A[n-1]中选取最小值,与A[1]交换,....,第i次从A[i-1]~A[n-1]中选取最小值,与A[i-1]交换,.....,第n-1次从A[n-2]~A[n-1]中选取最小值,与A[n-2]			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/BMzYVA4.html" rel="bookmark">排序&mdash;&mdash;直接选择排序（简单选择排序）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				直接选择排序也称简单选择排序,是一种相对简单的排序算法,它的基本思想是:从一列数中找出最小的,和第一个交换:剩下的重新找出最小的,和这列数的第二个交换,......一直进行n-1次比较之后,该数列已经为有序数列了. 例如:已知一组无序数列:6 3 5 1 4 2 9 第一次:[6 3 5 1 4 2 9] 最小数为:1 第二次:1 [3 5 6 4 2 9] 最小数为:2 第三次:1 2 [5 6 4 3 9] 最小数为:3 第四次:1 2 3 [6 4 5 9] 最小数为:4 第五次:1 2			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0eqREg0.html" rel="bookmark">排序之简单选择排序</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言 本篇博客是在伍迷兄的博客基础上进行的,其博客地址点击就可以进去,里面好博客很多,我的排序算法都来自于此:一些数据结构方面的概念我就不多阐述了,伍迷兄的博客中都有详细讲解,而我写这些博客只是记录自己学习过程,加入了一些自己的理解,同时也希望给别人提供帮助. 基本思想 选择排序的基本思想是每一趟在n-i+1(i=1,2,…,n-1)个记录中选取关键字最小的记录作为有序序列的第i个记录.我们这里先介绍的是简单选择排序法.简单选择排序法(Simple Selection Sort)就是通过n-i次			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4JkN1YM.html" rel="bookmark">经典排序算法--简单选择排序</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				算法简介 简单选择排序是一种选择排序. 选择排序:每趟从待排序的记录中选出关键字最小的记录,顺序放在已排序的记录序列末尾,直到全部排序结束为止. 白话理解 依然已排队为例,在排队时,有的老师可能会选择这样排序,先在一列中选出最矮的,放在第一位,然后选出第二矮的,放在第二位.队伍完成排序.而这就是选择排序的思想. 简单排序处理流程 (1)从待排序序列中,找到关键字最小的元素: (2)如果最小元素不是待排序序列的第一个元素,将其和第一个元素互换: (3)从余下的 N - 1 个元素中,找出关键字最小			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0eqrdE0.html" rel="bookmark">选择排序&mdash;简单选择排序（Simple Selection Sort）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				基本思想: 在要排序的一组数中,选出最小(或者最大)的一个数与第1个位置的数交换:然后在剩下的数当中再找最小(或者最大)的与第2个位置的数交换,依次类推,直到第n-1个元素(倒数第二个数)和第n个元素(最后一个数)比较为止. 简单选择排序的示例: 操作方法: 第一趟,从n 个记录中找出关键码最小的记录与第一个记录交换: 第二趟,从第二个记录开始的n-1 个记录中再选出关键码最小的记录与第二个记录交换: 以此类推..... 第i 趟,则从第i 个记录开始的n-i+1 个记录中选出关键码最小的记录与			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MWApYL3.html" rel="bookmark">选择排序&mdash;简单选择排序（Simple Selection Sort）原理以及Java实现</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				基本思想: 在要排序的一组数中,选出最小(或者最大)的一个数与第1个位置的数交换:然后在剩下的数当中再找最小(或者最大)的与第2个位置的数交换,依次类推,直到第n-1个元素(倒数第二个数)和第n个元素(最后一个数)比较为止. 简单选择排序的示例: 操作方法: 第一趟,从n 个记录中找出关键码最小的记录与第一个记录交换: 第二趟,从第二个记录开始的n-1 个记录中再选出关键码最小的记录与第二个记录交换: 以此类推..... 第i 趟,则从第i 个记录开始的n-i+1 个记录中选出关键码最小的记录与			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/n0lkrWM.html" rel="bookmark" class="title">使用Nexus创建私服</a>
					<div>
						部署环境是windowsxp 首先从 http://nexus.sonatype.rog/downloads 下载最新版的Nexus 我们可以根据个人的需求下载.里面有nexus-webapp-1.9 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4QW2dk0.html" rel="bookmark" class="title">机器学习笔记（二）&mdash;&mdash;k-近邻算法</a>
					<div>
						k-邻近算法概述 k-邻近算法采用测量不同特征值之间的距离方法进行分类 优点: 精度高.对异常值不敏感.无数据输入假定 缺点:计算复杂度高.空间复杂度高 使用数据范围:数值型和标称型 工作原理:存在一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0lrKKL4.html" rel="bookmark" class="title">关于Cocos2d-x中物理世界的物体乱跳的问题的解决</a>
					<div>
						这是电脑短时间内帧率低,无法满足游戏配置的帧率引起的. 解决方法: 1.打开AppDelegate.cpp文件 2.把director-&gt;setAnimationInterval(1.0 / 6 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MEk2WX3.html" rel="bookmark" class="title">PHP页面间传值的几种方法</a>
					<div>
						方法一:require_once //Page a: &lt;?php $a = &quot;hello&quot;; ?&gt; //Page b: &lt;?php require_once &q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4QNrDLM.html" rel="bookmark" class="title">C&num;参考：Linq 概述</a>
					<div>
						Linq (Language Integrated Query,语言集成查询),是微软公司提供的一项新技术,它能够将查询功能引入到.NET 3.5 所支持的编程语言中,例如C#,Visual Basi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MXdOdzM.html" rel="bookmark" class="title">orcale授权</a>
					<div>
						grant connect,resource,dba to 表名;--用户授权 CONNECT角色: --是授予最终用户的典型权利,最基本的 CREATE SESSION --建立会话 RESOURC ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0YGPXX4.html" rel="bookmark" class="title">用curl抓取网站数据，仿造IP、防屏蔽终极强悍解决方式</a>
					<div>
						最近在做一些抓取其它网站数据的工作,当然别人不会乖乖免费给你抓数据的,有各种防抓取的方法.不过道高一尺,魔高一丈,通过研究都是有漏洞可以钻的.下面的例子都是用PHP写的,不会用PHP来curl的孩纸先 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/388l8g3.html" rel="bookmark" class="title">需求：有个文件&amp;quot&semi;pp&period;txt&amp;quot&semi;，判断里面是否包含&amp;quot&semi;李四&amp;quot&semi;的键，如果有把他改成&amp;quot&semi;100&amp;quot&semi;</a>
					<div>
						package cn.idcast4; import java.io.FileNotFoundException; import java.io.FileReader; import java.io. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPDeX1M.html" rel="bookmark" class="title">酷狗繁星直播间的星币是如何刷的</a>
					<div>
						业务Q272763159 本店已经开业5年了需要买卖的朋友们,添加-楼主-联系-做生意长期合作才是王道.业务Q272763159看了看表,等了十几分钟,就看见一个男人从对面的楼里走了出来. 宁笑笑勾起 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MXQyDQ0.html" rel="bookmark" class="title">JSP动作学习一</a>
					<div>
						创建一个简单的模拟登陆功能的网页,没有用数据库技术,只是简单的学习jsp语法 首先创建一个登陆页面 &lt;%@ page language = &quot;java&quot; import=&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4Q7YQe0.html" rel="bookmark" class="title">高清产品版本说明</a>
					<div>
						6F.10.2/6.378 [2016年5月31日]    --------------------    1.增加:适配 WIN10,可以在WIN10下使用,但启动较慢,预计1分钟才能启动完成    ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPZ7l13.html" rel="bookmark" class="title">在IT行业中的抄袭事件</a>
					<div>
						联想S90抄袭iPhone6    早在去年10 月中旬的时候,联想S90在微博放出预览图之后,网友一眼便认定了该机子几乎完全模仿 iPhone 6 的设计语言,包括圆润的金属边框.底部的扬声器孔以及 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MoL11w0.html" rel="bookmark" class="title">Ubuntu 16&period;04设置开机启动应用程序</a>
					<div>
						在终端通过以下命令进行设置,Dash已经搜索不到Startup了: gnome-session-properties					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3wBLpV0.html" rel="bookmark" class="title">&OpenCurlyDoubleQuote;老人之心&rdquo;</a>
					<div>
						自从上大学以来,就有各种的不适应,很多次都很厌烦,大学的生活,觉得大学的生活很无聊,很无趣,很浪费时间,所以就不曾一次的萌生了想退学的念头,因为刚开始来到大学时,什么人都不认识,加之来上大学之前就有了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/49v6gDM.html" rel="bookmark" class="title">渗透测试 - KALI Linux 学习 - kali linux如何启动METASPLOIT服务</a>
					<div>
						kali 2.0 已经没有metasploit 这个服务了,所以service metasploit start 的方式不起作用. 在kali 2.0中启动带数据库支持的MSF方式如下: #1  首先 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0k6yv7M.html" rel="bookmark" class="title">WebSocket 简介</a>
					<div>
						在HTML5规范中,我最喜欢的Web技术就是正迅速变得流行的WebSocket API.WebSocket提供了一个受欢迎的技术,以替代我们过去几年一直在用的Ajax技术.这个新的API提供了一个方法 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/ME1ExxM.html" rel="bookmark" class="title">fedora25输入法，中文输入法该用哪个&mdash;&mdash;rime</a>
					<div>
						fedora平台现在默认的输入法框架是ibus,默认是英文输入法,这也是绝大多数linux发行版的特点.(除非是国产操作系统会默认使用中文输入法) 作为国人普通用户,开始使用一款新系统首要问题就是本地 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/02r2q20.html" rel="bookmark" class="title">从数学的视角看社交网络</a>
					<div>
						社交网络是有趣而又令人迷惑的,总希望希望从社交网络本身找到一些对移动互联网产品有启发的东西,而自己的社交网络有限,只得求助于专家们的著作了,这点文字是&lt;社交网络分析-方法与实践&gt;一书(地铁 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MoXXjP0.html" rel="bookmark" class="title">HTML的定位属性</a>
					<div>
						position    用于定义一个元素是否absolute(绝对),relative(相对),static(静态),或者fixed(固定) top层距离顶点纵坐标的距离 left层距离顶点横坐标的距 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pG8po3.html" rel="bookmark" class="title">本地多用户下git使用ssh管理配置</a>
					<div>
						第一步:进入ssh文件夹 $:cd ~/.ssh 第二步:获取git的密钥 $:ssh-keygen -t rsa -b 4096 -C &quot;[email protected]&quot; - ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.032 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
